Overview
Within Risk Cloud, records are moved from one step to another by submitting them. In the Risk Cloud API, this operation is called “progressing a record.” When a record progresses, validation is done on the record fields to determine whether it can move to the next step. Alternatively, another API endpoint allows you to force-move a record from one step to another without any validation. This article covers both approaches:- Progressing a Record
- Force Moving a Record
Progressing a Record
Endpoint:PUT /api/v1/records/{record-id}/progress/applications/{application-id}/workflows/{workflowId}/steps/{stepId}
This method only progresses the record if all required fields on the record are completed.
Step 1: Obtain the record ID
Therecord-id can be obtained from the Risk Cloud web application, emails, or via the Risk Cloud
API.
- Using the Risk Cloud application: Open the desired record, then take the ID from the end of
the URL:
https://your-company.logicgate.com/records/{record-id} - Using email: The Contextual Notifications feature offers the ability to set Custom Fields and System Fields in outbound emails. Record ID is a System Field that can be included in outbound emails and parsed for use in API requests.
- Using the Risk Cloud API: Reference Risk Cloud API: Record Search to obtain record IDs via the API.
Step 2: Obtain required data
To search for the record information, use the Records endpoint: Endpoint:GET /api/v1/records/{recordId}
Use this to confirm the applicationId, workflowId, and available step-id values for the
record.
Step 3: Progress the record
Use therecord-id, applicationId, workflowId, and step-id found in the previous steps to
progress the record.
Endpoint:
PUT /api/v1/records/{record-id}/progress/applications/{application-id}/workflows/{workflowId}/steps/{stepId}
Sample request body:
Force Moving a Record
Endpoint:PUT /api/v1/records/{record-id}/move/{step-id}
This method force-moves the record without doing any validation on the record itself.
Step 1: Obtain the record ID
Therecord-id can be obtained from the Risk Cloud web application, emails, or via the Risk Cloud
API, using the same three methods described above.
Step 2: Obtain the step ID
-
Using the Risk Cloud application: Open the desired step from the builder page located at
Build > Applications > (Select a Step) in Risk Cloud, then take the ID from the end of the
URL. Ensure that this is a valid step on the same workflow that the record represents:
https://your-company.logicgate.com/build/steps/{step-id} -
Using the Risk Cloud API: The Steps API provides a paginated means of iterating through all
resources entitled to the API user. To search for an application, use the Retrieve Steps
endpoint:
Endpoint:
GET /api/v2/steps
Step 3: Move the record
Use therecord-id and step-id found in the previous steps to move the record.
Endpoint:
PUT /api/v1/records/{record-id}/move/{step-id}
Sample request body: The request body can be empty for this PUT request.
Response:
A 200 response with JSON confirming the structure and status of the moved record.